Main Page Class Hierarchy Compound List File List Compound Members File Members

# _GLOBAL_AMPLINE_STRUCT Struct Reference

`#include <global_loc_rw.h>`

List of all members.

## Public Attributes
unsigned short | version
MSG_LOGO | logo
long | pick_sequence
char | station [TRACE_STA_LEN]
char | channel [TRACE_CHAN_LEN]
char | network [TRACE_NET_LEN]
char | location [TRACE_LOC_LEN]
char | amp_time [19]
AMPLITUDE_TYPE | amptype
double | adcounts
double | period

## Member Data Documentation

double _GLOBAL_AMPLINE_STRUCT::adcounts

| Definition at line 61 of file global_loc_rw.h. Referenced by AddAmpLineToPhase(), InitGlobalAmpLine(), StringToAmpLine(), and WriteAmpLineToBuffer().

char _GLOBAL_AMPLINE_STRUCT::amp_time[19]

| Definition at line 59 of file global_loc_rw.h. Referenced by AddAmpLineToPhase(), InitGlobalAmpLine(), StringToAmpLine(), and WriteAmpLineToBuffer().

AMPLITUDE_TYPE _GLOBAL_AMPLINE_STRUCT::amptype

| Definition at line 60 of file global_loc_rw.h. Referenced by AddAmpLineToPhase(), InitGlobalAmpLine(), StringToAmpLine(), and WriteAmpLineToBuffer().

char _GLOBAL_AMPLINE_STRUCT::channel[TRACE_CHAN_LEN]

| Definition at line 56 of file global_loc_rw.h. Referenced by AddAmpLineToPhase(), InitGlobalAmpLine(), StringToAmpLine(), and WriteAmpLineToBuffer().

char _GLOBAL_AMPLINE_STRUCT::location[TRACE_LOC_LEN]

| Definition at line 58 of file global_loc_rw.h. Referenced by AddAmpLineToPhase(), InitGlobalAmpLine(), StringToAmpLine(), and WriteAmpLineToBuffer().

MSG_LOGO _GLOBAL_AMPLINE_STRUCT::logo

| Definition at line 53 of file global_loc_rw.h. Referenced by AddAmpLineToPhase(), AddPhaseLineToLoc(), InitGlobalAmpLine(), StringToAmpLine(), WriteAmpLineToBuffer(), and WriteLocToBuffer().

char _GLOBAL_AMPLINE_STRUCT::network[TRACE_NET_LEN]

| Definition at line 57 of file global_loc_rw.h. Referenced by AddAmpLineToPhase(), InitGlobalAmpLine(), StringToAmpLine(), and WriteAmpLineToBuffer().

double _GLOBAL_AMPLINE_STRUCT::period

| Definition at line 62 of file global_loc_rw.h. Referenced by AddAmpLineToPhase(), InitGlobalAmpLine(), StringToAmpLine(), and WriteAmpLineToBuffer().

long _GLOBAL_AMPLINE_STRUCT::pick_sequence

| Definition at line 54 of file global_loc_rw.h. Referenced by AddAmpLineToPhase(), InitGlobalAmpLine(), StringToAmpLine(), and WriteAmpLineToBuffer().

char _GLOBAL_AMPLINE_STRUCT::station[TRACE_STA_LEN]

| Definition at line 55 of file global_loc_rw.h. Referenced by AddAmpLineToPhase(), InitGlobalAmpLine(), StringToAmpLine(), and WriteAmpLineToBuffer().

unsigned short _GLOBAL_AMPLINE_STRUCT::version

| Definition at line 52 of file global_loc_rw.h. Referenced by AddAmpLineToPhase(), InitGlobalAmpLine(), StringToAmpLine(), and WriteAmpLineToBuffer().

The documentation for this struct was generated from the following file:

- global_loc_rw.h